Page MenuHomeFreeBSD

Drop support for FreeBSD 12.1 which will reach end-of-life on 2021-02-01.
ClosedPublic

Authored by rene on Jan 28 2021, 10:01 PM.
Tags
None
Referenced Files
F78058531: D28406.diff
Tue, Feb 27, 12:06 AM
Unknown Object (File)
Jan 14 2024, 3:31 PM
Unknown Object (File)
Jan 1 2024, 10:36 AM
Unknown Object (File)
Dec 28 2023, 3:35 PM
Unknown Object (File)
Dec 28 2023, 3:35 PM
Unknown Object (File)
Dec 28 2023, 3:35 PM
Unknown Object (File)
Dec 28 2023, 3:35 PM
Unknown Object (File)
Dec 28 2023, 3:21 PM
Subscribers

Details

Summary

The HEAD branch will receive the entire modification, 2021Q1 will only
receive the change to Mk/bsd.port.mk

Some ports that would require updates are excluded (e.g. lang/rust-bootstrap
or misc/freebsd-release-manifests)

Test Plan

make index

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rene requested review of this revision.Jan 28 2021, 10:01 PM

Looks good to me for lang/luajit/Makefile.

Two inline comments, else no objections from me, but no complete review either (I checked those areas I maintain and skimmed the others only cursorily. Nothing striking out as unacceptable though.)

graphics/rawtherapee/Makefile
40 ↗(On Diff #83071)

LGTM. Change on this line is approved.

lang/luajit/Makefile
35 ↗(On Diff #83071)

Can and should such lore be preserved for posterity (Wiki) somewhere, so we have historic references and can reconstruct "why we did this" without digging out tons of archives later? Or are LLVM 8.x now all extinct?

This revision is now accepted and ready to land.Jan 29 2021, 8:52 AM

Rebase on r563222

  • bsd.port.mk: Drop support for FreeBSD 12.1
  • Cleanup 1201
  • Cleanup 12\\.1
This revision now requires review to proceed.Jan 29 2021, 7:15 PM
emulators/rpcs3/Makefile
83 ↗(On Diff #83117)

Don't remove this line yet. Upstream no longer supports LLVM_DEFAULT=90, so the port bumps it without compromising DEFAULT_VERSIONS += llvm=12 (or llvm=-devel).

$ poudriere testport -j 122amd64 emulators/rpcs3
[...]
=======================<phase: check-sanity   >============================
/!\ ERRORS /!\

The variable LLVM_DEFAULT is set and it should only be defined through
DEFAULT_VERSIONS+=llvm=11 in /etc/make.conf

*** Error code 1
  • bsd.port.mk: Drop support for FreeBSD 12.1
  • Cleanup 1201
  • Cleanup 12\\.1
  • Fix over-enthousiastic cleanup in emulators/rpcs3
rene marked an inline comment as done.Jan 30 2021, 3:54 PM
rene marked an inline comment as done.Jan 30 2021, 3:59 PM
rene added inline comments.
lang/luajit/Makefile
35 ↗(On Diff #83071)

12.1 is the last version which has LLVM < 10 in base.

This revision is now accepted and ready to land.Jan 30 2021, 4:55 PM
This revision was automatically updated to reflect the committed changes.